Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76853 - ioctl SIOCGIFMAP failed in ifconfig when I load appletalk.o
Summary: ioctl SIOCGIFMAP failed in ifconfig when I load appletalk.o
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-28 09:50 UTC by Dennis Yang
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-04 14:25:28 UTC


Attachments (Terms of Use)

Description Dennis Yang 2002-10-28 09:50:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
ifconfig will show interrupt and base address of interfaces 
using ioctl SIOCGIFMAP (the line is "ioctl(skfd, SIOCGIFMAP, &ifr)").
When I load appletalk.o (insmod appletalk), the ioctl will fail and 
can't show the interrupt and base address. And after unload the 
appletalk.o, the ioctl returns to normal. Is there any way to fix 
the ioctl when I load appletalk.o?

I have tried to use lan card rth8139, e100, eepro100 to test. 
And ioctl failed every time when I load appletalk.o.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insmod appletalk
2.ifconfig
	

Actual Results:  After insmod appletalk.o the line "interrupt: xx Base address: 
0xXXXX ..." disappear.

Expected Results:  ifconfig should show "interrupt: xx Base address: 
0xXXXX ..." of 
each interface.

Additional info:

Comment 1 Phil Knirsch 2002-11-04 16:08:01 UTC
Very strange, but reproduced here! Will look into it. Although it's more likely
to be a kernel bug. :-)

Read ya, Phil

Comment 2 Radek Vokal 2004-11-04 14:25:28 UTC
I didn't manage to reproduce this bug with net-tools-1.60-39 and 2.6.9
kernel. Closing this bug as CURRENTRELEASE. 


Note You need to log in before you can comment on or make changes to this bug.